OpenTTD Source: RailStationTileLayout::Iterator Class Reference

OpenTTD Source 15.3

Public Types | Public Member Functions | Private Attributes
RailStationTileLayout::Iterator Class Reference

## Public Types
using | value_type = StationGfx
using | difference_type = std::ptrdiff_t
using | iterator_category = std::forward_iterator_tag
using | pointer = void
using | reference = void

## Public Member Functions
| Iterator (const RailStationTileLayout &stl)
bool | operator== (const Iterator &rhs) const
bool | operator== (const std::default_sentinel_t &) const
StationGfx | operator* () const
Iterator & | operator++ ()
Iterator | operator++ (int)

## Private Attributes
const RailStationTileLayout & | stl
| Station tile layout being iterated.
uint | position = 0
| Position within iterator.

## Detailed Description

Definition at line 24 of file station_layout_type.h.

## Member Typedef Documentation

## ◆ difference_type

using RailStationTileLayout::Iterator::difference_type = std::ptrdiff_t

Definition at line 29 of file station_layout_type.h.

## ◆ iterator_category

using RailStationTileLayout::Iterator::iterator_category = std::forward_iterator_tag

Definition at line 30 of file station_layout_type.h.

## ◆ pointer

using RailStationTileLayout::Iterator::pointer = void

Definition at line 31 of file station_layout_type.h.

## ◆ reference

using RailStationTileLayout::Iterator::reference = void

Definition at line 32 of file station_layout_type.h.

## ◆ value_type

using RailStationTileLayout::Iterator::value_type = StationGfx

Definition at line 28 of file station_layout_type.h.

## Constructor & Destructor Documentation

## ◆ Iterator()

RailStationTileLayout::Iterator::Iterator | ( | const RailStationTileLayout & | stl | ) |
| inline

Definition at line 34 of file station_layout_type.h.

## Member Function Documentation

## ◆ operator*()

StationGfx RailStationTileLayout::Iterator::operator* | ( |  | ) | const

Definition at line 1220 of file station_cmd.cpp.

## ◆ operator++() [1/2]

Iterator & RailStationTileLayout::Iterator::operator++ | ( |  | ) |
| inline

Definition at line 41 of file station_layout_type.h.

## ◆ operator++() [2/2]

Iterator RailStationTileLayout::Iterator::operator++ | ( | int |  | ) |
| inline

Definition at line 47 of file station_layout_type.h.

## ◆ operator==() [1/2]

bool RailStationTileLayout::Iterator::operator== | ( | const Iterator & | rhs | ) | const
| inline

Definition at line 36 of file station_layout_type.h.

## ◆ operator==() [2/2]

bool RailStationTileLayout::Iterator::operator== | ( | const std::default_sentinel_t & |  | ) | const
| inline

Definition at line 37 of file station_layout_type.h.

## Field Documentation

## ◆ position

uint RailStationTileLayout::Iterator::position = 0
| private

Position within iterator.

Definition at line 26 of file station_layout_type.h.

## ◆ stl

const RailStationTileLayout& RailStationTileLayout::Iterator::stl
| private

Station tile layout being iterated.

Definition at line 25 of file station_layout_type.h.

The documentation for this class was generated from the following files:

- src/station_layout_type.h
- src/station_cmd.cpp